# Generated by Django 4.2.13 on 2024-11-20 13:15

from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("api", "0020_provider"),
    ]

    operations = [
        migrations.CreateModel(
            name="GenerativeModel",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "label",
                    models.CharField(
                        help_text="User-friendly name of the model", max_length=100
                    ),
                ),
                (
                    "model_string",
                    models.CharField(
                        help_text="Model identifier for API calls", max_length=255
                    ),
                ),
                (
                    "priority",
                    models.IntegerField(
                        choices=[(1, "Default"), (2, "Standard"), (3, "Custom")],
                        default=1,
                    ),
                ),
                (
                    "provider_type",
                    models.CharField(
                        choices=[
                            ("OpenAI", "OpenAI"),
                            ("Anthropic", "Anthropic"),
                            ("OpenRouter", "OpenRouter"),
                        ],
                        max_length=50,
                    ),
                ),
            ],
        ),
    ]
